/ Releases

Ghost 0.11.11

Ghost 0.11.11 is now available on GitHub, npm and Ghost.org. This is primarily a bugfix and 1.0 migration preparation release.

Highlights

  • [New] Forwards compatibility has been added for Ghost 1.0 themes to allow for smoother upgrades
  • [Improved] Protections against invalid dates in imports were added - previously it was possible to import invalid dates which would then cause the front-end to hang on certain requests
  • [Fixed] Autosaving of new posts is now behaving correctly again

You can see the full change log for the details of every change included in this release.

In Detail

0.11.11 is a pretty small release, the main headline change is that forwards compatibility
with Ghost 1.0 themes has been added.

Forwards compatibility will allow you to install a 1.0 compatible theme prior to making the switch to Ghost 1.0. Please note: Ghost 1.0 has built-in compatibility checking, whereas Ghost LTS does not. To be absolutely sure a theme is compatible, please upload it to Ghost 1.0 or use https://gscan.ghost.org.

Theme API Changes

Image properties that were renamed in 1.0 have been aliased to the old values so these will work in 0.11.11:

  • {{@blog.cover_image}}
  • {{post.feature_image}}
  • {{tag.feature_image}}
  • {{user.profile_image}}
  • {{user.cover_image}}

The {{img_url}} helper has also been added for forwards compatibility.

See the theme API docs for full details of what changed in Ghost 0.11.11. The theme documentation is frequently updated with more details and better examples. Please also use the suggest edits feature if you find something is missing or out of date.

How to Upgrade

All Ghost(Pro) users are being automatically updated and will be running Ghost 0.11.11 shortly. You're welcome :)

For people running Ghost on their own servers, you can download Ghost 0.11.11 and then check out the upgrade documentation over on our developer docs site.

Enjoy!

Credits

This release was lovingly crafted by Kevin Ansfield, Katharina Irrgang and David Wolfe.